at.chipkarte.client.muhi.soap

## Class Suchparameter

- Object
- - at.chipkarte.client.muhi.soap.Suchparameter

-     public class Suchparameter
      extends Object

  Suchkritierien für die Suche von selbsterstellten Beschäftigungsverbots-Meldungen. Alle Felder sind optional.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Suchparameter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArt()` Einschränkung auf die Art der Meldung (aktiv oder storniert).
    `String` | `getErstelltAb()` Einschränkung auf Meldungen, die an oder nach dem angegebenen Datum erstellt wurden.
    `String` | `getErstelltBis()` Einschränkung auf Meldungen, die an oder vor dem angegebenen Datum erstellt wurden.
    `String` | `getTyp()` Einschränkung auf den Meldungstyp (absolutes oder individuelles Beschäftigungsverbot).
    `String` | `getVoraussichtlicherGeburtsterminAb()` Einschränkung auf Meldungen, bei denen der voraussichtliche Geburtstermin an oder nach dem angegebenen Datum liegt.
    `String` | `getVoraussichtlicherGeburtsterminBis()` Einschränkung auf Meldungen, bei denen der voraussichtliche Geburtstermin an oder vor dem angegebenen Datum liegt.
    `String` | `getVsnr()` Einschränkung auf Meldungen für die durch die Versicherungsnummer identifizierte Patientin.
    `void` | `setArt(String art)`
    `void` | `setErstelltAb(String erstelltAb)`
    `void` | `setErstelltBis(String erstelltBis)`
    `void` | `setTyp(String typ)`
    `void` | `setVoraussichtlicherGeburtsterminAb(String voraussichtlicherGeburtsterminAb)`
    `void` | `setVoraussichtlicherGeburtsterminBis(String voraussichtlicherGeburtsterminBis)`
    `void` | `setVsnr(String vsnr)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Suchparameter

          public Suchparameter()

  - ### Method Detail

    - #### getErstelltAb

          public String getErstelltAb()

      Einschränkung auf Meldungen, die an oder nach dem angegebenen Datum erstellt wurden.
      Wertebereich: darf nicht in der Zukunft liegen.
      Format: TT.MM.JJJJ
      Angabe: Kann.
      Returns:

    - #### setErstelltAb

          public void setErstelltAb(String erstelltAb)

    - #### getErstelltBis

          public String getErstelltBis()

      Einschränkung auf Meldungen, die an oder vor dem angegebenen Datum erstellt wurden.
      Wertebereich: darf nicht in der Zukunft liegen. Falls `Erstellt ab` angegeben ist, darf der Wert nicht vor diesem Datum liegen.
      Format: TT.MM.JJJJ
      Angabe: Kann.
      Returns:

    - #### setErstelltBis

          public void setErstelltBis(String erstelltBis)

    - #### getVoraussichtlicherGeburtsterminAb

          public String getVoraussichtlicherGeburtsterminAb()

      Einschränkung auf Meldungen, bei denen der voraussichtliche Geburtstermin an oder nach dem angegebenen Datum liegt.
      Wertebereich: darf nicht mehr als 40 Wochen in der Zukunft liegen.
      Format: TT.MM.JJJJ
      Angabe: Kann.
      Returns:

    - #### setVoraussichtlicherGeburtsterminAb

          public void setVoraussichtlicherGeburtsterminAb(String voraussichtlicherGeburtsterminAb)

    - #### getVoraussichtlicherGeburtsterminBis

          public String getVoraussichtlicherGeburtsterminBis()

      Einschränkung auf Meldungen, bei denen der voraussichtliche Geburtstermin an oder vor dem angegebenen Datum liegt.
      Wertebereich: darf nicht mehr als 40 Wochen in der Zukunft liegen. Falls `voraussichtliches Geburtsdatum ab` angegeben ist, darf der Wert nicht vor diesem Datum liegen.
      Format: TT.MM.JJJJ
      Angabe: Kann.
      Returns:

    - #### setVoraussichtlicherGeburtsterminBis

          public void setVoraussichtlicherGeburtsterminBis(String voraussichtlicherGeburtsterminBis)

    - #### getVsnr

          public String getVsnr()

      Einschränkung auf Meldungen für die durch die Versicherungsnummer identifizierte Patientin.
      Format: 10-stellig
      Angabe: Kann.
      Returns:

    - #### setVsnr

          public void setVsnr(String vsnr)

    - #### getTyp

          public String getTyp()

      Einschränkung auf den Meldungstyp (absolutes oder individuelles Beschäftigungsverbot).
      Mögliche Werte: siehe `MeldungstypConstants`.
      Angabe: Kann.
      Returns:

    - #### setTyp

          public void setTyp(String typ)

    - #### getArt

          public String getArt()

      Einschränkung auf die Art der Meldung (aktiv oder storniert). Falls nicht gesetzt, werden sowohl aktive als auch stornierte Meldungen gefunden.
      Mögliche Werte: siehe `MeldungsartConstants`.
      Angabe: Kann.
      Returns:

    - #### setArt

          public void setArt(String art)